Download Ansible Playbooks#

  1. Download the latest automation packages from the Holoscan For Media Platform Setup resource using an NGC API Key:

    • openshift-install-playbook.tar.gz: Installs the cluster using an Ansible playbook

    • openshift-config-playbook.tar.gz: Configures the cluster using an Ansible playbook

    This can also be done on the command line as follows, replacing the <API-KEY> placeholder with your NGC API Key:

    curl -fsSLO "https://api.ngc.nvidia.com/v2/org/nvidia/team/holoscan-for-media/resources/automation/versions/0.5.0/files/openshift-install-playbook.tar.gz" -H "Authorization: Bearer <API-KEY>"
    curl -fsSLO "https://api.ngc.nvidia.com/v2/org/nvidia/team/holoscan-for-media/resources/automation/versions/0.5.0/files/openshift-config-playbook.tar.gz" -H "Authorization: Bearer <API-KEY>"
    
  2. Create a directory structure as shown below:

    openshift-automation/
    ├── installation/             # Cluster installation playbooks
    └── configuration/            # Cluster configuration playbooks
    
    mkdir -p openshift-automation/{installation,configuration}
    
  3. Unarchive the downloaded packages in the corresponding directories. For example extract the contents of openshift-install-playbook.tar.gz to the installation directory and openshift-config-playbook.tar.gz to the configuration directory. Ensure that the below commands are run from the directory where the tarballs and openshift-automation directory are located.

    tar -xzf openshift-install-playbook.tar.gz -C openshift-automation/installation
    tar -xzf openshift-config-playbook.tar.gz -C openshift-automation/configuration
    

Verify that the resulting directory structure is:

openshift-automation/
├── installation/             # Cluster installation playbooks
│   ├── assets/
│   ├── boot_hosts_with_iso.yml
│   ├── boot_hosts.yml
│   ├── check_cluster_install_status.yml
│   ├── create_cluster.yml
│   ├── discover.iso
│   ├── generate_api_token.yml
│   ├── main.yml
│   └── wait_for_host_discover.yml
└── configuration/            # Cluster configuration playbooks
    ├── additional_services/
    ├── operators/
    ├── resources/
    ├── tuning/
    ├── utils/
    ├── custom-vars.yml
    ├── main.yml
    └── requirements.txt